atari-hd-image(1)

NAME
atari-hd-image - tool for creating a harddisk image for use with Hatari

SYNOPSIS
atari-hd-image size [filename] [partition name] [directory]

DESCRIPTION
Create an ACSI/IDE harddisk image for Hatari with a single Atari compatible DOS FAT partition (using sfdisk, mkdosfs, atari-convert-dir, mcopy, dd and python).

OPTIONS

size
    Harddisk image size in megabytes, 8-512. 512MB is largest partition size supported by TOS versions before v4.x and by mkdosfs (for Atari compatible partition formatting).

filename
    Name for the harddisk image (default: hd.img)

partition name
    Name for the single partition (default: DOS)

directory
    directory for initial content copied to the image. atari-convert-dir tool is used to clip long file names to 8+3 size required by FAT and Atari TOS. If resulting file names aren't unique, you get warning(s), but script continues

EXAMPLES

16MB 'hd.img' HD image:
    atari-hd-image 16

8MB image with partition named 'TEST', and files from content/:
    atari-hd-image 8 8mb-disk.img TEST content/

SEE ALSO
atari-convert-dir(1), hmsa(1), zip2st(1), hatari(1), mkdosfs(1), sfdisk(1), dd(1)

AUTHOR
Written by Eero Tamminen <oak at helsinkinet fi>.

This manual page was written by Teemu Hukkanen <tjhukkan@iki.fi> for the Debian project and later updated by Eero Tamminen for the newer versions of Hatari.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

NO WARRANTY
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.